package cn.estsh.i3plus.core.apiservice.serviceimpl.busi;

import cn.estsh.i3plus.core.api.iservice.busi.ISysFileAttachService;
import cn.estsh.i3plus.pojo.platform.bean.SysFileAttach;
import cn.estsh.i3plus.pojo.platform.repository.SysFileAttachRepository;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-04-12 19:43
 * @Modify:
 **/
@Service
public class SysFileAttachService implements ISysFileAttachService {

    public static final Logger LOGGER = LoggerFactory.getLogger(SysFileAttachService.class);

    @Autowired
    private SysFileAttachRepository sysFileAttachRDao;

    @Override
    @ApiOperation(value = "添加附件信息")
    public SysFileAttach insertSysFileAttach(SysFileAttach sysFileAttach) {
        return sysFileAttachRDao.insert(sysFileAttach);
    }

    @Override
    @ApiOperation(value = "根据id删除附件信息")
    public void deleteSysFileAttachById(Long id) {
        sysFileAttachRDao.deleteById(id);
    }

    @Override
    @ApiOperation(value = "根据id删除附件信息")
    public List<SysFileAttach> findSysFileAttachByRefId(Long refId) {
        return sysFileAttachRDao.findByProperty("refId", refId);
    }

    @Override
    @ApiOperation(value = "根据id删除附件信息")
    public void deleteSysFileAttachByRefId(Long refId) {
        sysFileAttachRDao.deleteByProperty("refId", refId);
    }
}
