package test.cn.estsh.i3plus.core.apiservice.serviceimpl.busi;

import cn.estsh.i3plus.core.api.iservice.busi.ISysLogExceptionService;
import cn.estsh.i3plus.core.api.iservice.busi.ISysLogSystemService;
import cn.estsh.i3plus.core.apiservice.serviceimpl.busi.TestBase;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.platform.platbean.SysLogException;
import cn.estsh.i3plus.pojo.platform.platbean.SysLogSystem;
import com.alibaba.fastjson.JSON;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import javax.transaction.Transactional;
import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2019-04-09 14:38
 * @Modify:
 **/
public class TestMongoDb extends TestBase {


    @Autowired
    private ISysLogExceptionService sysLogExceptionService;

    @Autowired
    private ISysLogSystemService syslogSystemService;

    /**
     * 测试 查询所有系统参数
     */
    @Test
    @Transactional
    public void testListSysConfig() {
        Pager pager = new Pager();
        pager.setStartRow(0);
        pager.setPageSize(10);

        SysLogException sysLogException = new SysLogException();

        ListPager logExceptionList = sysLogExceptionService.querySysLogExceptionByPager(sysLogException, pager);
        System.out.println(logExceptionList);
    }


    @Test
    @Transactional
    public void testListSysLogSystem() {
        Pager pager = new Pager();
        pager.setStartRow(0);
        pager.setPageSize(10);

        SysLogSystem logSystem = new SysLogSystem();
        logSystem.setLogLevel(1);
        logSystem.setLogModuleId(1);

        System.out.println("2===============");
        ListPager logSystemList = syslogSystemService.querySysLogSystemByPager(logSystem,pager);
        System.out.println(logSystemList.getObjectList().size());
        System.out.println("===============pager:" + pager);
    }
}
