package test.cn.estsh.i3plus.core.apiservice.serviceimpl.busi;

import cn.estsh.i3plus.core.api.iservice.busi.ISysLocaleResourceService;
import cn.estsh.i3plus.core.apiservice.serviceimpl.busi.TestBase;
import cn.estsh.i3plus.platform.common.tool.ExcelTool;
import cn.estsh.i3plus.pojo.platform.bean.SysLocaleResource;
import cn.estsh.impp.framework.boot.util.ImppRedis;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import javax.annotation.Resource;
import javax.persistence.EntityManager;
import java.io.File;
import java.io.IOException;
import java.util.Date;

/**
 * @Description :
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-05-22 16:37
 * @Modify:
 **/
public class TestSysLocaleResourceService extends TestBase {

    @Autowired
    ISysLocaleResourceService sysLocaleResourceService;

    @Autowired
    private EntityManager entityManager;

    @Resource(name = "redisRes")
    private ImppRedis redisRes;


    @Test
    public void exportSysLocaleResourceData() throws IOException {
        SysLocaleResource ds = new SysLocaleResource();
        System.out.println(ExcelTool.getColName(SysLocaleResource.class));
        String[] colName = new String[]{
                "resourceType","languageCode","languageNameRdd","resourceKey","resourceValue","isSystem"
        };
        File file = File.createTempFile(SysLocaleResource.class.getSimpleName() + new Date().getTime(), "Tp.xls");
        try {
            ExcelTool excelTool = new ExcelTool(entityManager, redisRes);
            excelTool.exportData(file,sysLocaleResourceService.listSysLocaleResource(),SysLocaleResource.class,colName);
            System.out.println(file.getPath());
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public static void main(String[] args) {
        System.out.println(ExcelTool.getColName(SysLocaleResource.class));
    }
}
