//package cn.estsh.i3plus.core.apiservice.serviceimpl.busi;
//
//import cn.estsh.i3plus.core.api.iservice.busi.ITaskTimeExpressionService;
//import cn.estsh.i3plus.pojo.base.bean.ListPager;
//import cn.estsh.i3plus.pojo.base.common.Pager;
//import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
//import cn.estsh.i3plus.pojo.platform.bean.TaskTimeExpression;
//import com.alibaba.fastjson.JSON;
//import org.junit.Test;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.test.annotation.Rollback;
//
//import javax.transaction.Transactional;
//import java.util.List;
//
///**
// * @Description : 测试 时间表达式
// * @Reference :
// * @Author : yunhao
// * @Date : 2018-10-31 15:30
// * @Modify :
// **/
//public class TestTaskTimeExpressionService extends TestBase {
//
//    @Autowired
//    ITaskTimeExpressionService taskTimeExpressionService;
//
//    /**
//     * 测试 查询所有时间表达式
//     */
//    @Test
//    @Transactional
//    public void testListTaskTimeExpression() {
//        List list = taskTimeExpressionService.listTaskTimeExpression();
//        System.out.println(JSON.toJSONString(list));
//    }
//
//    /**
//     * 测试 根据id查询时间表达式
//     */
//    @Test
//    @Transactional
//    public void testGetTaskTimeExpressionById() {
//        TaskTimeExpression taskTimeExpression = taskTimeExpressionService.getTaskTimeExpressionById("1057110061127700480");
//        System.out.println(JSON.toJSONString(taskTimeExpression));
//    }
//
//    /**
//     * 测试 添加时间表达式
//     */
//    @Test
//    @Transactional
//    @Rollback(false)
//    public void testInsertTaskTimeExpression() {
//        TaskTimeExpression taskTimeExpression = new TaskTimeExpression();
//        taskTimeExpression.setName("表达式");
//        taskTimeExpression.setExpressionContent("0000000");
//        taskTimeExpression.setExpressionDescription("描述");
//
//        for (int i = 0; i < 50; i++) {
//            taskTimeExpression.setId(null);
//            taskTimeExpression.setName("表达式"+i);
//            taskTimeExpressionService.insertTaskTimeExpression(taskTimeExpression);
//        }
//        System.out.println(JSON.toJSONString(taskTimeExpression));
//    }
//
//    /**
//     * 测试 修改时间表达式
//     */
//    @Test
//    @Transactional
//    public void testUpdateTaskTimeExpression(){
//        TaskTimeExpression taskTimeExpression = taskTimeExpressionService.getTaskTimeExpressionById("1057110613261684736");
//        taskTimeExpression.setName("测试修改");
//
//        taskTimeExpressionService.updateTaskTimeExpression(taskTimeExpression);
//    }
//
//    /**
//     * 测试 根据id删除时间表达式
//     */
//    @Test
//    @Transactional
//    public void testDeleteTaskTimeExpressionById(){
//        taskTimeExpressionService.deleteTaskTimeExpressionById("1057111616417566720");
//    }
//
//    /**
//     * 测试 复杂查询
//     */
//    @Test
//    @Transactional
//    public void testQueryTaskTimeExpressionByPager(){
//        TaskTimeExpression taskTimeExpression = new TaskTimeExpression();
//
//        Pager pager = new Pager();
//        pager.setPageSize(10);
//        pager.setCurrentPage(5);
//
//        ListPager list = taskTimeExpressionService.queryTaskTimeExpressionByPager(taskTimeExpression,pager);
//        System.out.println(list);
//    }
//}
