//package cn.estsh.i3plus.core.apiservice.serviceimpl.busi;
//
//import cn.estsh.i3plus.core.api.iservice.busi.IToolTypeService;
//import cn.estsh.i3plus.core.api.iservice.busi.IToolTypeService;
//import cn.estsh.i3plus.pojo.base.bean.ListPager;
//import cn.estsh.i3plus.pojo.base.common.Pager;
//import cn.estsh.i3plus.pojo.platform.bean.ToolType;
//import com.alibaba.fastjson.JSON;
//import org.junit.Test;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.test.annotation.Rollback;
//
//import javax.transaction.Transactional;
//import java.util.List;
//
///**
// * @Description : 测试 硬件类型服务接口
// * @Reference :
// * @Author : yunhao
// * @Date : 2018-10-30 20:36
// * @Modify :
// **/
//public class TestToolTypeService extends TestBase {
//    @Autowired
//    private IToolTypeService toolTypeService;
//
//    /**
//     * 测试 查询所有硬件类型
//     */
//    @Test
//    @Transactional
//    public void testListToolType() {
//        List list = toolTypeService.listToolType();
//        System.out.println(JSON.toJSONString(list));
//    }
//
//    /**
//     * 测试 根据id查询硬件类型
//     */
//    @Test
//    @Transactional
//    public void testGetToolTypeById() {
//        ToolType toolType = toolTypeService.getToolTypeById("1057110061127700480");
//        System.out.println(JSON.toJSONString(toolType));
//    }
//
//    /**
//     * 测试 添加硬件类型
//     */
//    @Test
//    @Transactional
//    @Rollback(false)
//    public void testInsertToolType() {
//        ToolType toolType = new ToolType();
//        toolType.setName("扫描枪");
//
//        for (int i = 0; i < 50; i++) {
//            toolType.setId(null);
//            toolType.setName("扫描枪"+i);
//            toolTypeService.insertToolType(toolType);
//        }
//        System.out.println(JSON.toJSONString(toolType));
//    }
//
//    /**
//     * 测试 修改硬件类型
//     */
//    @Test
//    @Transactional
//    public void testUpdateToolType(){
//        ToolType toolType = toolTypeService.getToolTypeById("1057110613261684736");
//        toolType.setName("测试修改");
//
//        toolTypeService.updateToolType(toolType);
//    }
//
//    /**
//     * 测试 根据id删除硬件类型
//     */
//    @Test
//    @Transactional
//    public void testDeleteToolTypeById(){
//        toolTypeService.deleteToolTypeById("1057111616417566720");
//    }
//
//    /**
//     * 测试 复杂查询
//     */
//    @Test
//    @Transactional
//    public void testQueryToolTypeByPager(){
//        ToolType toolType = new ToolType();
//
//        Pager pager = new Pager();
//        pager.setPageSize(10);
//        pager.setCurrentPage(5);
//
//        ListPager list = toolTypeService.queryToolTypeByPager(toolType,pager);
//        System.out.println(list);
//    }
//}
