package cn.estsh.i3plus.core.apiservice.util;

import cn.estsh.i3plus.core.apiservice.serviceimpl.busi.TestBase;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.base.enumutil.ImppEnumUtil;
import cn.estsh.i3plus.pojo.platform.bean.MailConfig;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import javax.mail.MessagingException;
import java.io.UnsupportedEncodingException;
import static cn.estsh.i3plus.core.apiservice.controller.busi.SysUserInfoController.LOGGER;

/**
 * @Description :
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2018-11-21 19:44
 * @Modify:
 **/
public class TestMailUtil extends TestBase {

    @Autowired
    MailUtil mailUtil;

    @Test
    public void TestSendMail(){
        MailConfig mailConfig = new MailConfig();
        mailConfig.setMailSwitch(CommonEnumUtil.TRUE_OR_FALSE.TRUE.getValue());
        mailConfig.setMailHost("smtphm.qiye.163.com");
        mailConfig.setMailPort(25);
        mailConfig.setMailNick("");
        mailConfig.setMailUser("impp.dev@sss.com");
        mailConfig.setMailPassword("Aa135790s");

        MailUtil mailUtil = new MailUtil();
        try {
            mailUtil.setTo("yunhao.wang@estsh.com");
            mailUtil.setBody("zhenw");
            mailUtil.setSubject("title");
            mailUtil.setContentType(ImppEnumUtil.MESSAGE_TYPE_CONTENT.HTML.getDescription());
            mailUtil.init(mailConfig).send();
        } catch (Exception e){
            LOGGER.error(e.getCause()+"");
//            LOGGER.error(e.);
            e.printStackTrace();
        }

    }
}
