package cn.estsh.i3plus.core.apiservice.dao;

import cn.estsh.i3plus.pojo.platform.bean.SysTool;
import cn.estsh.i3plus.pojo.platform.bean.SysUserInfo;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2019-04-29 17:20
 * @Modify:
 **/
@Repository
public interface ITransDaoSec extends CrudRepository<SysTool,Long> {

    List<SysTool> findByName(String name);

    //按位查询
    @Query("select u from SysTool u where name = :uname")
    List<SysTool> findSysToolByName(String uname);
}
