//package cn.estsh.i3plus.core.apiservice.serviceimpl.busi;
//
//import cn.estsh.i3plus.core.api.iservice.busi.IPositionService;
//import cn.estsh.i3plus.pojo.base.bean.ListPager;
//import cn.estsh.i3plus.pojo.base.common.Pager;
//import cn.estsh.i3plus.pojo.platform.bean.Position;
//import com.alibaba.fastjson.JSON;
//import org.junit.Test;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.core.annotation.Order;
//import org.springframework.test.annotation.Rollback;
//
//import javax.transaction.Transactional;
//import java.util.List;
//
///**
// * @Description : 岗位信息测试
// * @Reference :
// * @Author : wei.peng
// * @Date : 2018-10-29 19:02
// * @Modify :
// **/
//public class TestPositionService extends TestBase {
//
//    @Autowired
//    private IPositionService positionService;
//
//    /**
//     * 新增数据
//     */
//    @Test
//    @Transactional
//    @Rollback(false)
//    public void  testInsertPosition(){
//        for(int i = 0 ; i < 50 ; i++ ){
//            Position position = new Position();
//            position.setName("Junit Test " + i);
//            position.setPositionCode("DEV_JUNIT " + i);
//            position = positionService.insertPosition(position);
//            System.out.println(JSON.toJSONString(position));
//        }
//    }
//
//    /**
//     * 根据Key 数据
//     * @return
//     */
//    @Test
//    @Transactional
//    public void testGetPositionById(){
//        Position pos = positionService.getPositionById("1057108589715525632");
//        System.out.println(JSON.toJSONString(pos));
//    }
//
//    /**
//     * 查询所有数据
//     *
//     * @return
//     */
//    @Test
//    @Transactional
//    public void testListPosition(){
//        List list = positionService.listPosition();
//        System.out.println(JSON.toJSONString(list));
//    }
//
//    /**
//     * 根据岗位信息进行查找
//     * @return
//     */
//    @Test
//    @Transactional
//    public void testFindPositionByPager(){
//        Position position = new Position();
//
//        Pager pager = new Pager();
//        pager.setPageSize(10);
//        pager.setCurrentPage(1);
//
//        ListPager list = positionService.findPositionByPager(null, pager);
//
//        System.out.println(JSON.toJSONString(list));
//    }
//
//    /**
//     * 修改数据
//     */
//    @Test
//    @Transactional
//    public void testUpdatePosition(){
//        Position position = positionService.getPositionById("1057108586410414080");
//        position.setName("Junit update Name ");
//        positionService.updatePosition(position);
//        System.out.println(JSON.toJSONString(position));
//    }
//
//    /**
//     * 根据Key 删除数据
//     */
//    @Test
//    @Transactional
//    public void testDeletePositionById(){
//        positionService.deletePositionById("1057108585240203264");
//    }
//
//    /**
//     * 根据id批量删除岗位
//     * @return
//     */
//    @Test
//    @Transactional
//    public void deletePositionByIds(){
//        positionService.deletePositionByIds(new String[]{"1057108585445724160","1057108585760296960"});
//    }
//
//
//}
