//package cn.estsh.i3plus.core.apiservice.serviceimpl.busi;
//
//import cn.estsh.i3plus.core.api.iservice.busi.ISysDictionaryService;
//import cn.estsh.i3plus.pojo.base.bean.ListPager;
//import cn.estsh.i3plus.pojo.base.common.Pager;
//import cn.estsh.i3plus.pojo.platform.bean.SysDictionary;
//import com.alibaba.fastjson.JSON;
//import org.junit.Test;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.test.annotation.Rollback;
//
//import javax.transaction.Transactional;
//import java.util.List;
//
///**
// * @Description : 测试字典服务接口
// * @Reference :
// * @Author : yunhao
// * @Date : 2018-10-30 18:52
// * @Modify :
// **/
//public class TestSysDictionaryService extends TestBase {
//    @Autowired
//    private ISysDictionaryService sysDictionaryService;
//
//    /**
//     * 测试 查询所有字典
//     */
//    @Test
//    @Transactional
//    public void testListSysDictionary() {
//        List list = sysDictionaryService.listSysDictionary();
//        System.out.println(JSON.toJSONString(list));
//    }
//
//    /**
//     * 测试 根据id查询字典
//     */
//    @Test
//    @Transactional
//    public void testGetSysDictionaryById() {
//        SysDictionary sysDictionary = sysDictionaryService.getSysDictionaryById("1057110061127700480");
//        System.out.println(JSON.toJSONString(sysDictionary));
//    }
//
//    /**
//     * 测试 添加字典
//     */
//    @Test
//    @Transactional
//    @Rollback(false)
//    public void testInsertSysDictionary() {
//        SysDictionary sysDictionary = new SysDictionary();
//        sysDictionary.setName("字典测试");
//        sysDictionary.setDictionaryCode("dic_test");
//        sysDictionary.setDictionaryValue("DEV");
//        sysDictionary.setDictionaryDescription("字典测试");
//
//        sysDictionaryService.insertSysDictionary(sysDictionary);
//        System.out.println(JSON.toJSONString(sysDictionary));
//    }
//
//    /**
//     * 测试 修改字典
//     */
//    @Test
//    @Transactional
//    public void testUpdateSysDictionary(){
//        SysDictionary sysDictionary = sysDictionaryService.getSysDictionaryById("1057110613261684736");
//        sysDictionary.setName("测试修改");
//
//        sysDictionaryService.updateSysDictionary(sysDictionary);
//    }
//
//    /**
//     * 测试 根据id删除字典
//     */
//    @Test
//    @Transactional
//    public void testDeleteSysDictionaryById(){
//        sysDictionaryService.deleteSysDictionaryById("1057111616417566720");
//    }
//
//    /**
//     * 测试 复杂查询
//     */
//    @Test
//    @Transactional
//    public void testQuerySysDictionaryByPager(){
//        SysDictionary sysDictionary = new SysDictionary();
//
//        Pager pager = new Pager();
//        pager.setPageSize(10);
//        pager.setCurrentPage(5);
//
//        ListPager list = sysDictionaryService.querySysDictionaryByPager(sysDictionary,pager);
//        System.out.println(list);
//    }
//}
