//package cn.estsh.i3plus.core.apiservice.serviceimpl.busi;
//
//import cn.estsh.i3plus.core.api.iservice.busi.ISysFileService;
//import cn.estsh.i3plus.pojo.base.bean.ListPager;
//import cn.estsh.i3plus.pojo.base.common.Pager;
//import cn.estsh.i3plus.pojo.platform.bean.SysFile;
//import com.alibaba.fastjson.JSON;
//import org.junit.Test;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.test.annotation.Rollback;
//
//import javax.transaction.Transactional;
//import java.util.List;
//
///**
// * @Description : 测试 文件资源服务接口
// * @Reference :
// * @Author : yunhao
// * @Date : 2018-10-31 15:30
// * @Modify :
// **/
//public class TestSysFileService extends TestBase {
//
//    @Autowired
//    public ISysFileService sysFileService;
//
//    /**
//     * 测试 查询所有文件资源
//     */
//    @Test
//    @Transactional
//    public void testListSysFile() {
//        List list = sysFileService.listSysFile();
//        System.out.println(JSON.toJSONString(list));
//    }
//
//    /**
//     * 测试 根据id查询文件资源
//     */
//    @Test
//    @Transactional
//    public void testGetSysFileById() {
//        SysFile sysFile = sysFileService.getSysFileById(1057110061127700480L);
//        System.out.println(JSON.toJSONString(sysFile));
//    }
//
//    /**
//     * 测试 添加文件资源
//     */
//    @Test
//    @Transactional
//    @Rollback(false)
//    public void testInsertSysFile() {
//        SysFile sysFile = new SysFile();
//        sysFile.setName("文件doc");
//        sysFile.setFileTypeId(1058251784058966016L);
//        sysFile.setFileTypeName("doc");
//        sysFile.setDownloads(999);
//        sysFile.setFileSize(1024);
//        sysFile.setCreateUser("中国移动");
//        sysFile.setCreateDatetime("2018-01-01 00:00:00");
//        for (int i = 0; i < 50; i++) {
//            sysFile.setId(null);
//            sysFile.setName("文件"+ i +".doc");
//            sysFile.setCreateDatetime("2018-01-01 " + (i % 10) + "0:00:00");
//            sysFileService.insertSysFile(sysFile);
//        }
//        System.out.println(JSON.toJSONString(sysFile));
//    }
//
//    /**
//     * 测试 修改文件资源
//     */
//    @Test
//    @Transactional
//    public void testUpdateSysFile(){
//        SysFile sysFile = sysFileService.getSysFileById(1057110613261684736L);
//        sysFile.setName("测试修改");
//
//        sysFileService.updateSysFile(sysFile);
//    }
//
//    /**
//     * 测试 根据id删除文件资源
//     */
//    @Test
//    @Transactional
//    public void testDeleteSysFileById(){
//        sysFileService.deleteSysFileById("1057111616417566720");
//    }
//
//    /**
//     * 测试 复杂查询
//     */
//    @Test
//    @Transactional
//    public void testQuerySysFileByPager(){
//        SysFile sysFile = new SysFile();
//
//        Pager pager = new Pager();
//        pager.setPageSize(10);
//        pager.setCurrentPage(5);
//
//        ListPager list = sysFileService.querySysFileByPager(sysFile,pager);
//        System.out.println(list);
//    }
//}
