//package cn.estsh.i3plus.core.apiservice.serviceimpl.busi;
//
//import cn.estsh.i3plus.core.api.iservice.busi.ITaskTimeService;
//import cn.estsh.i3plus.core.api.iservice.busi.ITaskTimeService;
//import cn.estsh.i3plus.pojo.base.bean.ListPager;
//import cn.estsh.i3plus.pojo.base.common.Pager;
//import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
//import cn.estsh.i3plus.pojo.base.enumutil.ImppEnumUtil;
//import cn.estsh.i3plus.pojo.platform.bean.TaskTime;
//import com.alibaba.fastjson.JSON;
//import org.junit.Test;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.test.annotation.Rollback;
//
//import javax.transaction.Transactional;
//import java.util.List;
//
///**
// * @Description :
// * @Reference :
// * @Author : yunhao
// * @Date : 2018-11-03 00:09
// * @Modify :
// **/
//public class TestTaskTimeService extends TestBase {
//
//    @Autowired
//    ITaskTimeService taskTimeService;
//
//    /**
//     * 测试 查询所有硬件
//     */
//    @Test
//    @Transactional
//    public void testListTaskTime() {
//        List list = taskTimeService.listTaskTime();
//        System.out.println(JSON.toJSONString(list));
//    }
//
//    /**
//     * 测试 根据id查询硬件
//     */
//    @Test
//    @Transactional
//    public void testGetTaskTimeById() {
//        TaskTime taskTime = taskTimeService.getTaskTimeById("1057110061127700480");
//        System.out.println(JSON.toJSONString(taskTime));
//    }
//
//    /**
//     * 测试 添加硬件
//     */
//    @Test
//    @Transactional
//    @Rollback(false)
//    public void testInsertTaskTime() {
//        TaskTime taskTime = new TaskTime();
//        taskTime.setName("时间表达式");
//        taskTime.setTimeExpressionId(1L);
//        taskTime.setTaskStartDateTimeRdd("2018-01-01 00:00:00");
//        taskTime.setTaskEndDateTimeRdd("2018-12-31 00:00:00");
//        taskTime.setTaskTypeId(ImppEnumUtil.TASK_METHOD_TYPE.TYPE_GROUP.getValue());
//        taskTime.setTaskStatus(CommonEnumUtil.DATA_STATUS.ENABLE.getValue());
//
//        for (int i = 0; i < 50; i++) {
//            taskTime.setId(null);
//            taskTime.setName("时间表达式"+i);
//            taskTimeService.insertTaskTime(taskTime,null);
//        }
//        System.out.println(JSON.toJSONString(taskTime));
//    }
//
//    /**
//     * 测试 修改硬件
//     */
//    @Test
//    @Transactional
//    public void testUpdateTaskTime(){
//        TaskTime taskTime = taskTimeService.getTaskTimeById("1057110613261684736");
//        taskTime.setName("测试修改");
//
//        taskTimeService.updateTaskTime(taskTime,null);
//    }
//
//    /**
//     * 测试 根据id删除硬件
//     */
//    @Test
//    @Transactional
//    public void testDeleteTaskTimeById(){
//        taskTimeService.deleteTaskTimeById("1058406771644829696");
//    }
//
//    /**
//     * 测试 复杂查询
//     */
//    @Test
//    @Transactional
//    public void testQueryTaskTimeByPager(){
//        TaskTime taskTime = new TaskTime();
//
//        Pager pager = new Pager();
//        pager.setPageSize(10);
//        pager.setCurrentPage(5);
//
//        ListPager list = taskTimeService.queryTaskTimeByPager(taskTime,pager);
//        System.out.println(list);
//    }
//}
